Subject: [apps-discuss] JSON Pointer status

From: Mark Nottingham <[email-masked]>
Date: Sat, 11 Aug 2012 15:28:28 -0500

We talked about JSON Pointer in Vancouver, as well as previously on the list. 

I've incorporated all of the feedback received to date, and published the result as -03 <http://www.ietf.org/rfcdiff?url2=draft-ietf-appsawg-json-pointer-03>. See below for discussion of specific issues.

I *think* we're pretty close to being ready for WGLC; I want to have a fresh look through for editorial issues, but otherwise it seems pretty stable. Feedback / thoughts welcome (as always).

#1	json-pointer: Internationalization

This was already incorporated in the drafts when I started editing; closing.

#2	json-pointer: Ambiguous array references

This has been discussed on-list, as well as in Vancouver. I didn't see any strong objection to leaving it as is, and some persuasive arguments as to why it should remain the same (particularly, that needing that kind of notation is an unnecessary artefact of thinking from a static language standpoint). 

So, I think this can be closed, and will do so unless we hear strong objections.

#3	json-pointer: Escaping and percent encoding

The ~ approach was discussed on-list and in Vancouver, and feedback seems good. Closing.

#4	json-pointer: Minor feedback

Addressed; closing.

#5	json-pointer: Application semantics

Incorporated; can be closed.

#6	json-pointer: Need more examples

Incorporated; can be closed.

#10: Fragment Identifiers

There seems to be agreement that we shouldn't define the media type syntax for application/json in this document, and so I've clarified the draft to say that it's only for other media types that explicitly reference this document.

--
Mark Nottingham
http://www.mnot.net/